Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### angleBetween()

Examples

    PVector v1 = new PVector(10, 20);
    PVector v2 = new PVector(60, 80);
    float a = PVector.angleBetween(v1, v2);
    println(degrees(a));  // Prints "10.304827"

Description | Calculates and returns the angle (in radians) between two vectors.

Syntax

    PVector.angleBetween(v1, v2)

Parameters

vec | any variable of type PVector
v1 | PVector: the x, y, and z components of a PVector object
v2 | PVector: the x, y, and z components of a PVector object

Returns | Float
Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST